Subject: Re: bug#40123: glibc-locales: links missing in root user profile

From: david larsson <[email-masked]>
Date: Wed, 18 Mar 2020 21:47:39 +0100

On 2020-03-18 20:02, Mikael Djurfeldt wrote:
> On Wed, Mar 18, 2020 at 7:40 PM Marius Bakke <[email-masked]>
> wrote:
> 
>> Mikael Djurfeldt <[email-masked]> writes:
>> 
>>> To figure out where the package gets installed, try running this
>>>> command:
>>>> 
>>>> find /var/guix/profiles -name sv_SE.utf8 -type d
>>>> 
>>> 
>>> It's obvious that that line will producethere.

But thank you for your hypothesis above! I tried a different line with 
ls -lLR and grep and then discovered that the links *are* indeed 
installed in a different profile.

This led me to find my problem: For some rea an empty result. That is
>> because
>>> the sv_SE.utf8 directory only exists in the store. But I don't see
>> the
>>> point of looking it up in the store. The problem is that the link
>> into the
>>> store from the root user profile is never created. (It *is*
>> created in
>>> other user profiles.)
>> 
>> I suspected that Guix installed it to a different user profile
>> somehow,
>> since you did not get any errors apart from the missing directory
>> (if I
>> read the bug report correctly).
>> 
>> Does 'guix install hello' work?
> 
> Same problem there.
> 
> But thank you for your hypothesis above! I tried a different line with
> ls -lLR and grep and then discovered that the links *are* indeed
> installed in a different profile.
> 
> This led me to find my problem: For some reason, my
> ~root/.guix-profile was pointing to the current-guix profile rather
> than the guix-profile.
> 
> It could have been me who did that. :(
> 
> Anyway, problem solved! This was not a guix bug.

Not so fast! I just did the same yesterday using the install-script but 
on a RedHat server, and my /root/.config/guix/current pointed at 
/var/guix/profiles/per-user/MYOTHERUSER/current-guix instead of 
/var/guix-profiles/per-user/root/current-guix which it should be 
pointing at! I also think this is related to 
https://lists.gnu.org/archive/html/bug-guix/2020-01/msg00241.html

Best regards,
David

> Best regards,
> Mikael